List Watched Product Similar
GET
Lookalikes among the viewer's watchlist products.
HTTPBearerheader
AuthorizationBearer <token>watched_product_id*Watched Product IdFormat
uuidlimit?LimitRange
1 <= value <= 12Default
12Successful Response
application/json- response
[index: integer]?A similar-search hit: a watched-product list row + cosine distance.
curl -X GET 'https://app.copyhero.app/api/v1/watchlist/products/497f6eca-6276-4993-bfeb-53cbbbba6f08/similar'Example Response
[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "watched_store_id": "e604763d-50a8-4edb-b056-d359e3c6cc2f", "store_name": "string", "store_url": "string", "title": "string", "handle": "string", "vendor": "string", "product_type": "string", "external_handle": "string", "external_published_at": "2019-08-24T14:15:22Z", "external_created_at": "2019-08-24T14:15:22Z", "bestseller_rank": 0, "bestseller_list_size": 0, "bestseller_sold_count": 0, "bestseller_top_percent": 0, "sales_estimate": 0, "revenue_estimate": 0, "revenue_currency": "string", "revenue_converted": 0, "revenue_converted_currency": "string", "scaling_units_per_day": 0, "scaling_days": 0, "scaling_method": "F3", "scaling_overtake_percent": 0, "is_new": true, "tags": [ "string" ], "images": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "src": "string", "position": 0, "alt_text": "string", "thumbnail_url": "string", "blur_data_url": "string" } ], "source_url": "string", "price": 0, "price_min": 0, "category_group": "string", "category_label": "string", "imported_store_ids": [ 0 ], "first_sale_at": "2019-08-24T14:15:22Z", "store_product_count": 0, "store_currency": "string", "store_country": "string", "store_language": "string", "distance": 0, "currency": "string" }]